Get runner logging settings
- GET /platform/infrastructure/runners/{runner_id}/logging_settings
Get the logging settings for this runner instance.
Path Parameters
-
runner_idstringrequired -
The identifier for the runner
Responses
The logging settings for the runner instance
-
logging_levelsmap string to stringrequired -
Overridden logging levels. Keys are logging levels. Allowable values are OFF, ERROR, WARN, INFO, DEBUG, TRACE, ALL
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
The logging settings for this runner were not found. (code: runners.logging_settings.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response